Loading...
Searching...
No Matches
Halide::CompileTimeErrorReporter Class Referenceabstract

CompileTimeErrorReporter is used at compile time (not runtime) when an error or warning is generated by Halide. More...

`#include <Error.h>`

## Public Member Functions

virtual | ~CompileTimeErrorReporter ()=default
virtual void | warning (const char *msg)=0
virtual void | error (const char *msg)=0

## Detailed Description

CompileTimeErrorReporter is used at compile time (not runtime) when an error or warning is generated by Halide.

Note that error() is called a fatal error has occurred, and returning to Halide may cause a crash; implementations of CompileTimeErrorReporter::error() should never return. (Implementations of CompileTimeErrorReporter::warning() may return but may also abort(), exit(), etc.)

Definition at line 82 of file Error.h.

## Constructor & Destructor Documentation

## ~CompileTimeErrorReporter()

virtual Halide::CompileTimeErrorReporter::~CompileTimeErrorReporter | ( |  | ) |

virtual default

## Member Function Documentation

## warning()

virtual void Halide::CompileTimeErrorReporter::warning | ( | const char * | msg | ) |

pure virtual

## error()

virtual void Halide::CompileTimeErrorReporter::error | ( | const char * | msg | ) |

pure virtual

The documentation for this class was generated from the following file:

- src/Error.h